Package owl.translations

## Enum LTL2DAFunction.Constructions

- java.lang.Object
- - java.lang.Enum<LTL2DAFunction.Constructions>
  - - owl.translations.LTL2DAFunction.Constructions

- All Implemented Interfaces:
    `Serializable`, `Comparable<LTL2DAFunction.Constructions>`
  Enclosing class:
    LTL2DAFunction

      public static enum LTL2DAFunction.Constructions
      extends Enum<LTL2DAFunction.Constructions>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BUCHI` |
    `CO_BUCHI` |
    `CO_SAFETY` |
    `EMERSON_LEI` |
    `GENERALIZED_BUCHI` |
    `GENERALIZED_RABIN` |
    `PARITY` |
    `RABIN` |
    `SAFETY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LTL2DAFunction.Constructions` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LTL2DAFunction.Constructions[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SAFETY

          public static final LTL2DAFunction.Constructions SAFETY

    - #### CO_SAFETY

          public static final LTL2DAFunction.Constructions CO_SAFETY

    - #### BUCHI

          public static final LTL2DAFunction.Constructions BUCHI

    - #### GENERALIZED_BUCHI

          public static final LTL2DAFunction.Constructions GENERALIZED_BUCHI

    - #### CO_BUCHI

          public static final LTL2DAFunction.Constructions CO_BUCHI

    - #### PARITY

          public static final LTL2DAFunction.Constructions PARITY

    - #### RABIN

          public static final LTL2DAFunction.Constructions RABIN

    - #### GENERALIZED_RABIN

          public static final LTL2DAFunction.Constructions GENERALIZED_RABIN

    - #### EMERSON_LEI

          public static final LTL2DAFunction.Constructions EMERSON_LEI

  - ### Method Detail

    - #### values

          public static LTL2DAFunction.Constructions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LTL2DAFunction.Constructions c : LTL2DAFunction.Constructions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LTL2DAFunction.Constructions valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null